# Uses of Interface
org.eclipse.ecf.filetransfer.service.IRemoteFileSystemBrowser

Packages that use IRemoteFileSystemBrowser
Package
Description
org.eclipse.ecf.filetransfer.service
org.eclipse.ecf.provider.filetransfer.browse
org.eclipse.ecf.provider.filetransfer.httpclient4
org.eclipse.ecf.provider.filetransfer.httpclient45
org.eclipse.ecf.provider.filetransfer.httpclient5

## Uses of IRemoteFileSystemBrowser in org.eclipse.ecf.filetransfer.service

Methods in org.eclipse.ecf.filetransfer.service that return IRemoteFileSystemBrowser
Modifier and Type
Method
Description
`IRemoteFileSystemBrowser`
IRemoteFileSystemBrowserFactory.`newInstance()`
Get new instance of IRemoteFileSystemBrowser.

## Uses of IRemoteFileSystemBrowser in org.eclipse.ecf.provider.filetransfer.browse

Classes in org.eclipse.ecf.provider.filetransfer.browse that implement IRemoteFileSystemBrowser
Modifier and Type
Class
Description
`class`
`MultiProtocolFileSystemBrowserAdapter`
Multi protocol handler for remote file system browser.

## Uses of IRemoteFileSystemBrowser in org.eclipse.ecf.provider.filetransfer.httpclient4

Methods in org.eclipse.ecf.provider.filetransfer.httpclient4 that return IRemoteFileSystemBrowser
Modifier and Type
Method
Description
`IRemoteFileSystemBrowser`
HttpClientBrowseFileTransferFactory.`newInstance()`

## Uses of IRemoteFileSystemBrowser in org.eclipse.ecf.provider.filetransfer.httpclient45

Methods in org.eclipse.ecf.provider.filetransfer.httpclient45 that return IRemoteFileSystemBrowser
Modifier and Type
Method
Description
`IRemoteFileSystemBrowser`
HttpClientBrowseFileTransferFactory.`newInstance()`

## Uses of IRemoteFileSystemBrowser in org.eclipse.ecf.provider.filetransfer.httpclient5

Methods in org.eclipse.ecf.provider.filetransfer.httpclient5 that return IRemoteFileSystemBrowser
Modifier and Type
Method
Description
`IRemoteFileSystemBrowser`
HttpClientBrowseFileTransferFactory.`newInstance()`